/**
 * app.css
 *
 */
#appOverlayMask {
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 1000;
	width: 0px;
	height: 0px;
	background-color: #222222;
}

#appOverlayPanel {
	font-size: 12px;
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 1001;
	width: auto;
	height: auto;
	background-color: #FFFFFF;
  -webkit-box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
          box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
  -webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	-ms-border-radius: 3px;
	-o-border-radius: 3px;
	border-radius: 3px;

}

#appOverlayMessage {
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 1002;
	width: auto;
	height: auto;
	background-color: transparent;
}

.overlayMessage, .overlayWarningMessage, .overlayErrorMessage {
	font-size: 12px;
	padding:  20px 50px;
	background-color: #DEDBDC;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	-ms-border-radius: 3px;
	-o-border-radius: 3px;
	border-radius: 3px;
	-webkit-box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
          box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
	border: solid 1px #DFDCDD;
}

.overlayWarningMessage {
	color: #FFFFFF;
	background-color: #F2A400;
	border-color: #FFFFFF;
}

.overlayErrorMessage {
	color: #FFFFFF;
	background-color: #CC0000;
	border-color: #FFFFFF;
}

#appProcessPanel {
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 1005;
	width: auto;
	height: auto;
	background-color: transparent;
}

#appProcessPanel .processMessageContainer {
	background-color: #000000;
	padding: 10px 20px 20px 20px;
	border-radius: 12px;
	-webkit-box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
          box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
	border: solid 4px #FFFFFF;
}

#appProcessPanel .processMessage {
	background: #000000 url(/images/process.gif) center bottom no-repeat;
	color: #FFFFFF;
	font-size: 12px;
	padding: 10px 10px 42px 10px;
}

#appProcessPanelMask {
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 1004;
	width: 0px;
	height: 0px;
	background-color: #FFFFFF;
}

#appOverlayTooltip {
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 1003;
	width: auto;
	height: auto;
}

#appOverlayTooltip .overlayTooltipBlue {
	color: #FFFFFF;
	background-color: #dc0775;
	font-size: 12px;
	padding: 10px 20px 10px 20px;
	border: solid 1px #FFFFFF;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	-o-border-radius: 6px;
	border-radius: 6px;
	-webkit-box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
          box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
}

#appOverlayTooltip .overlayTooltipGreen {
	color: #FFFFFF;
	background-color: #717F37;
	font-size: 12px;
	padding: 10px 20px 10px 20px;
	border: solid 2px #FFFFFF;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	-o-border-radius: 6px;
	border-radius: 6px;
	-webkit-box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
          box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
}
